> ## Documentation Index
> Fetch the complete documentation index at: https://uiform-codex-generated-frontend-snippets.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Block Version

Fetch one immutable workflow block version.

```python Python theme={null}
block_version_id = "bkv_abc123"
print(block_version_id)
```

```typescript TypeScript theme={null}
const blockVersionId = "bkv_abc123";
console.log(blockVersionId);
```

```go Go theme={null}
blockVersionID := "bkv_abc123"
_ = blockVersionID
```

```java Java theme={null}
String blockVersionId = "bkv_abc123";
System.out.println(blockVersionId);
```

```bash cURL theme={null}
curl "https://api.retab.com/v1/workflows/blocks/versions/bkv_abc123?workflow_id=wf_abc123" \
  -H "Authorization: Bearer $RETAB_API_KEY"
```


## OpenAPI

````yaml GET /v1/workflows/blocks/versions/{block_version_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.retab.com
security: []
paths:
  /v1/workflows/blocks/versions/{block_version_id}:
    get:
      tags:
        - Workflows
        - Workflow Blocks
      summary: Get Block Version
      operationId: get_block_version
      parameters:
        - in: path
          name: block_version_id
          required: true
          schema:
            type: string
            title: Block Version Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowBlockVersion'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkflowBlockVersion:
      properties:
        id:
          type: string
          title: Id
          description: Public content-addressed block version ID
        block_id:
          type: string
          title: Block Id
          description: Stable logical block ID
        workflow_id:
          type: string
          title: Workflow Id
          description: Source workflow ID
        workflow_version_id:
          type: string
          title: Workflow Version Id
          description: Workflow version this block version belongs to
        type:
          type: string
          enum:
            - start_document
            - start_json
            - note
            - parse
            - edit
            - extract
            - split
            - classifier
            - conditional
            - api_call
            - function
            - while_loop
            - for_each
            - merge_dicts
            - while_loop_sentinel_start
            - while_loop_sentinel_end
            - for_each_sentinel_start
            - for_each_sentinel_end
          title: Type
        label:
          type: string
          title: Label
          default: ''
        position_x:
          type: number
          title: Position X
          default: 0
        position_y:
          type: number
          title: Position Y
          default: 0
        width:
          anyOf:
            - type: number
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: number
            - type: 'null'
          title: Height
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        resolved_schemas:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Resolved Schemas
        config_hash:
          type: string
          title: Config Hash
          description: Stable SHA-256 hash of the executable block config
          default: ''
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - block_id
        - created_at
        - id
        - type
        - workflow_id
        - workflow_version_id
      title: WorkflowBlockVersion
      description: Public block version resource without tenant or storage-only fields.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
          default: []
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
          default: null
        ctx:
          type: object
          title: Context
          default: {}
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````